Error Code Reference

This document summarizes common interface error codes and their solutions for the Unisound Maas Platform to help developers quickly troubleshoot and resolve invocation issues.

  • To report an issue, please provide the Trace-Id in the Header so we can troubleshoot it for you.

1. General Error Codes (100xxx)

HTTP CodeBusiness CodeMessageSolution
2000success-
400100001param error:xxVerify that request parameters are passed correctly
400100002data not found:xxConfirm that parameter value xx has the resource uploaded or task created correctly
400100099call error:xxFollow the correct invocation flow
401100101auth error:xxAdd Authorization to the request header
401100102auth error:xxAdd Bearer API_key to the Authorization header
401100103auth error:xxCheck whether the API_key is correct or expired
401100104user error:xxTop up your account
401100105model error:xxContact support to obtain model access
401100106api_key error:xxContact support to find out why the API_KEY was disabled
404100301path error:xxCheck whether the request path is correct
429100501rpm error:xxContact support to increase your per-minute concurrency limit
435100601body error:xxConfirm that the file size meets requirements
500100997backend service timeout:xxRetry; if the error persists, submit a ticket with trace_id
500100998backend service error:xxRetry; if the error persists, submit a ticket with trace_id
500100999server internal error:xxRetry; if the error persists, submit a ticket with trace_id

2. Speech Recognition Error Codes (200xxx)

HTTP CodeBusiness CodeMessageSolution
400200001task repeat:xxCheck whether the same task was submitted repeatedly
500200011format error:xxConfirm that the audio file format meets requirements
500200012task error:xxContact support and submit a ticket with task_id
500200013task error:xxContact support and submit a ticket with task_id
500200099task error:xxContact support and submit a ticket with task_id

3. Speech Synthesis Error Codes (220xxx)

HTTP CodeBusiness CodeMessageSolution
400220001vcn error:xxCheck whether the voice (vcn) is correct
401220107token plan error: xxInsufficient Token Plan credits
401220108token plan error: xxNo valid Token Plan subscription
401220109Insufficient balanceInsufficient balance

4. Voice Cloning Error Codes (221xxx)

HTTP CodeBusiness CodeMessageSolution
400221001vcn error:xxCheck whether the voice (vcn) is correct
500221099server internal error:xxRetry; if the error persists, submit a ticket with trace_id

5. Text Model Error Codes (240xxx)

HTTP CodeBusiness CodeMessageSolution
400240001--

6. OCR Service Error Codes (260xxx)

HTTP CodeBusiness CodeMessageSolution
400260001task repeat:xxCheck whether the same task was submitted repeatedly
500260099task error:xxContact support and submit a ticket with task_id

7. File Management Error Codes (101xxx)

HTTP CodeBusiness CodeMessageSolution
500101999unknown errorContact support and submit a ticket with task_id

8. OCR Extraction & Classification Error Codes (261xxx)

HTTP CodeBusiness CodeMessageSolution
400261001format error:xxConfirm that the image format is JPG, JPEG, PNG, or BMP
400261003decode error:xxConfirm that the image is not corrupted and can be parsed; try a different image
429100502tpm errorContact support to increase your TPM rate limit

9. One-Shot ASR Error Codes (202xxx)

Business CodeMessageSolution
202001param error:xxCheck parameters
202002idle timeout error: xxConnection idle timeout
202003server internal error: xxContact support and submit a ticket with request_id
202004asr timeout error: xxRecognition timeout (default limit 25000 ms)
202005decode error: xxAudio decode failed

10. Real-Time ASR Error Codes (203xxx)

Business CodeMessageSolution
203001param error:xxCheck parameters
203002idle timeout error: xxConnection idle timeout
203003server internal error: xxContact support and submit a ticket with request_id
203004process error:: xxContact support and submit a ticket with request_id
203005decode error: xxAudio decode failed